#include<iostream>
using namespace std;
int main(){
    
    long long n;
    cin >> n;
    long long a = n / 2;
    if(n % 2 == 1){
        cout << 7;
        for(long long i = 0; i < a - 1; i++){
            cout << 1;
        }
    }else{
        for(long long i = 0; i < a; i++){
            cout << 1;
        }
    }
    cout << endl;
    
    return 0;
}